# Roles

## List Roles

 - [GET /v1/roles](https://docs.synqly.com/api-reference/management/roles/roles_list.md): Returns a list of all Roles objects that match the query params.

Operation ID: roles_list

## Create Role

 - [POST /v1/roles](https://docs.synqly.com/api-reference/management/roles/roles_create.md): Creates an Role object. For more information on Roles, refer to our
Synqly Overview.

Operation ID: roles_create

## Get Role

 - [GET /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_get.md): Returns the Role object matching {roleId}. For more information on Roles, refer to our
Synqly Overview.

Operation ID: roles_get

## Update Role

 - [PUT /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_update.md): Updates the Role object matching {roleId}. For more information on Roles, refer to our
Synqly Overview.

Operation ID: roles_update

## Patch Role

 - [PATCH /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_patch.md): Patches the Role object matching {roleId}. For more information on Roles, refer to our
Synqly Overview.

Operation ID: roles_patch

## Delete Role

 - [DELETE /v1/roles/{roleId}](https://docs.synqly.com/api-reference/management/roles/roles_delete.md): Deletes the Role matching {roleId}. Deleting an Role also deletea
all Tokens and Credentials belonging to the Role.

Operation ID: roles_delete

